Package org.apache.sling.rewriter.impl.components

## Class XHtmlSerializerFactory

- java.lang.Object
- - org.apache.sling.rewriter.impl.components.XHtmlSerializerFactory

All Implemented Interfaces:
  `SerializerFactory`

    public class XHtmlSerializerFactory
    extends Object
    implements SerializerFactory

This sax serializer serializes xhtml-

### Nested Class Summary

Nested Classes
`class` `XHtmlSerializerFactory.XHTMLSerializer` A pedantic XHTML serializer encoding all recognized entities with their proper HTML names.

### Constructor Summary

Constructors
`XHtmlSerializerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Serializer` `createSerializer()` Create a new serializer for the pipeline.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XHtmlSerializerFactory

    public XHtmlSerializerFactory()

### Method Detail

#### createSerializer

    public Serializer createSerializer()

Description copied from interface: `SerializerFactory`
Create a new serializer for the pipeline.

Specified by:
  `createSerializer` in interface `SerializerFactory`
Returns:
  A new serializer.
See Also:
  `SerializerFactory.createSerializer()`